Package org.zkoss.zhtml

## Class Filedownload

- java.lang.Object
- - org.zkoss.zhtml.Filedownload

-     public class Filedownload
      extends java.lang.Object

  File download utilities.
  Author:
    tomyeh

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Filedownload()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `save​(byte[] content, java.lang.String contentType, java.lang.String flnm)` | Open a download dialog to save the specified content at the client with the suggested file name.
    `static void` | `save​(java.io.InputStream content, java.lang.String contentType, java.lang.String flnm)` | Open a download dialog to save the specified content at the client with the suggested file name.
    `static void` | `save​(java.io.Reader content, java.lang.String contentType, java.lang.String flnm)` | Open a download dialog to save the specified content at the client with the suggested file name.
    `static void` | `save​(java.lang.String content, java.lang.String contentType, java.lang.String flnm)` | Open a download dialog to save the specified content at the client with the suggested file name.
    `static void` | `save​(Media media)` | Open a download dialog to save the specified content at the client.
    `static void` | `save​(Media media, java.lang.String flnm)` | Open a download dialog to save the specified content at the client with the suggested file name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Filedownload

          public Filedownload()

  - ### Method Detail

    - #### save

          public static void save​(Media media)

      Open a download dialog to save the specified content at the client.

    - #### save

          public static void save​(Media media,
                                  java.lang.String flnm)

      Open a download dialog to save the specified content at the client with the suggested file name.
      Parameters:
        `media` - the media to download
        `flnm` - the suggested file name, e.g., myfile.pdf. If null, `Media.getName()` is assumed.

    - #### save

          public static void save​(byte[] content,
                                  java.lang.String contentType,
                                  java.lang.String flnm)

      Open a download dialog to save the specified content at the client with the suggested file name.
      Parameters:
        `content` - the content
        `contentType` - the content type (a.k.a., MIME type), e.g., application/pdf
        `flnm` - the suggested file name, e.g., myfile.pdf. If null, no suggested name is provided.

    - #### save

          public static void save​(java.lang.String content,
                                  java.lang.String contentType,
                                  java.lang.String flnm)

      Open a download dialog to save the specified content at the client with the suggested file name.
      Parameters:
        `content` - the content
        `contentType` - the content type (a.k.a., MIME type), e.g., application/pdf
        `flnm` - the suggested file name, e.g., myfile.pdf. If null, no suggested name is provided.

    - #### save

          public static void save​(java.io.InputStream content,
                                  java.lang.String contentType,
                                  java.lang.String flnm)

      Open a download dialog to save the specified content at the client with the suggested file name.
      Parameters:
        `content` - the content
        `contentType` - the content type (a.k.a., MIME type), e.g., application/pdf
        `flnm` - the suggested file name, e.g., myfile.pdf. If null, no suggested name is provided.

    - #### save

          public static void save​(java.io.Reader content,
                                  java.lang.String contentType,
                                  java.lang.String flnm)

      Open a download dialog to save the specified content at the client with the suggested file name.
      Parameters:
        `content` - the content
        `contentType` - the content type (a.k.a., MIME type), e.g., application/pdf
        `flnm` - the suggested file name, e.g., myfile.pdf. If null, no suggested name is provided.